Bug 153045 - [NEW PORT] math/lapacke: Standard C language APIs for LAPACK
Summary: [NEW PORT] math/lapacke: Standard C language APIs for LAPACK
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Maho Nakata
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-12 13:10 UTC by Eijiro Shibusawa
Modified: 2011-02-27 02:15 UTC (History)
0 users

See Also:


Attachments
file.shar (55.09 KB, text/plain)
2010-12-12 13:10 UTC, Eijiro Shibusawa
no flags Details
lapacke_goto.sh (56.99 KB, application/octet-stream)
2011-01-31 12:16 UTC, Eijiro Shibusawa
no flags Details
lapacke3.sh (55.54 KB, text/plain)
2011-02-16 10:35 UTC, Eijiro Shibusawa
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eijiro Shibusawa 2010-12-12 13:10:08 UTC
LAPACKE is a standard C language APIs for LAPACK, which introduces
the following features[1]:
- row-major and column-major matrix layout controlled by the first function 
  parameter;
- an implementation with working arrays (middle-level interface) as well as 
  without working arrays (high-level interface);
- input scalars passed by value;
- error code as a return value instead of the INFO parameter.

[1] Intel Corporation. "C Interface to LAPACK" README. 2010.

WWW: http://www.netlib.org/lapack/

NOTE:
- This port was tested with porttools 0.99 on FreeBSD 8.1R on amd64.
- The library does not contains explicit dependencies on BLAS/LAPACK,
  because it's preferable that any other BLAS/LAPACK implementations
  can be used when the library is linked to executable.
- Currently, GotoBLAS is not supported,
  because libgoto contains LAPACK 3.1.1 (LAPACKE assumes 3.2.1 or later).

Fix: Patch attached with submission follows:
Comment 1 Eijiro Shibusawa 2011-01-31 12:16:46 UTC
Hi,
I have attached a newer shar including the following update.
- GotoBLAS (math/gotoblas) support is added.

NOTE:
- If WITH_BLAS=gotoblas knob defined, this port provides
limited subset of the interfaces to the routines corresponding to LAPACK 
3.1.1.

This port was tested on FreeBSD 8.1R on amd64 and i386. 
Comment 2 Maho Nakata freebsd_committer 2011-02-15 23:18:42 UTC
Responsible Changed
From-To: freebsd-ports-bugs->maho

I'll take it.
Comment 3 Eijiro Shibusawa 2011-02-16 10:35:13 UTC
Dear Prof. Nakata,

Thank you very much for dealing with the PR.
I found that the above attached shar was corrupt.
This is newer shar that fixes the error.

Sincerely,
Eijiro Shibusawa
Comment 4 dfilter service freebsd_committer 2011-02-17 00:48:03 UTC
maho        2011-02-17 00:47:57 UTC

  FreeBSD ports repository

  Modified files:
    math                 Makefile 
  Added files:
    math/lapacke         Makefile distinfo pkg-descr 
    math/lapacke/files   Makefile Makefile.lib 
                         patch-include+lapacke.h patch-make.inc 
                         patch-src+Makefile 
                         patch-testing+interface+Makefile 
                         patch-utils+Makefile 
  Log:
  LAPACKE is a standard C language APIs for LAPACK, which introduces
  the following features[1]:
  - row-major and column-major matrix layout controlled by the first function
  parameter;
  - an implementation with working arrays (middle-level interface) as well as
  without working arrays (high-level interface);
  - input scalars passed by value;
  - error code as a return value instead of the INFO parameter.
  
  [1] Intel Corporation. "C Interface to LAPACK" README. 2010.
  
  WWW: http://www.netlib.org/lapack/
  
  PR:             153045
  Submitted by:   Eijiro Shibusawa <phd_kimberlite@yahoo.co.jp>
  
  Revision  Changes    Path
  1.687     +1 -0      ports/math/Makefile
  1.1       +100 -0    ports/math/lapacke/Makefile (new)
  1.1       +2 -0      ports/math/lapacke/distinfo (new)
  1.1       +5 -0      ports/math/lapacke/files/Makefile (new)
  1.1       +930 -0    ports/math/lapacke/files/Makefile.lib (new)
  1.1       +20 -0     ports/math/lapacke/files/patch-include+lapacke.h (new)
  1.1       +31 -0     ports/math/lapacke/files/patch-make.inc (new)
  1.1       +293 -0    ports/math/lapacke/files/patch-src+Makefile (new)
  1.1       +34 -0     ports/math/lapacke/files/patch-testing+interface+Makefile (new)
  1.1       +11 -0     ports/math/lapacke/files/patch-utils+Makefile (new)
  1.1       +12 -0     ports/math/lapacke/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Eitan Adler freebsd_committer freebsd_triage 2011-02-27 02:14:41 UTC
State Changed
From-To: open->closed

Already committed by maho 20110217